Subject: Re: Case-sensitive - Was: Hex versus Decimal Numbers

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 11 Feb 2000 14:35:42 -0500

As there is no comparison of quoted strings, I'm not sure that
it matters.  My own opinion is that quoted strings are case
sensitive.  I believe we DID wish identifiers to NOT be case
sensitive.

0x was added to hex productions that could be confused.  It was
explicitly decided to NOT use them in IPv4 addresses.

Brian

> -----Original Message-----
> From: Chip Sharp [mailto:[email-masked]]
> Sent: Friday, February 11, 2000 12:31 PM
> To: Brian Rosen; [email-masked]
> Subject: Re: Case-sensitive - Was: Hex versus Decimal Numbers
>
>
> A question came up on this matter at SG16.
>
> I was wondering if the statement on case sensitive applies to
> things like
> QuotedStrings.  Are there any other things that are case-sensitive.
>
> I notice that "0x" has been added to some of the productions with
> HexDig.  Is "0x" cases insensitive.   In addition, is the
> intention that
> all Hex strings are preceded?
> In this case, more of these things need to be added.  For
> example IPv4
> address uses hex digits, but don't have the "0x".  This should be
> consistent.  I'm not sure 0x is necessary to mark Hex digits.
>
>
> SG16 would like some clarification on the scope of the
> statement that the
> protocol is case-insensitive.  As well as the line that the
> Identifier is
> case insensitive.
>
> Chip
>
>
> At 05:10 PM 10/29/99 -0400, Brian Rosen wrote:
> >I believe the intention is that the entire protocol is not
> case sensitive,
> >no exceptions.
> >
> >Others may disagree.  We surely need to say one way or the
> other in Annex B.
> >
> >Brian
> >
> > > -----Original Message-----
> > > From: Al Varney [mailto:[email-masked]]
> > > Sent: Friday, October 29, 1999 4:05 PM
> > > To: Brian Rosen
> > > Subject: Case-sensitive - Was: Hex versus Decimal Numbers
> > >
> > >
> > > Brian and Jon Steer,
> > >
> > > At 15:14 10/29/1999 -0400, Brian Rosen wrote:
> > > >I think you are correct, and we should make this change.
> > >
> > >     Maybe you two could answer some dumb questions.  MGCP spec
> > > specifically said (at least for Verbs and Events) that
> > > text-comparisons
> > > were case-insensitive.  [ "glinesup/onhook" and
> "glinesup/OnHook" are
> > > identical. ]
> > >
> > >    Is this the intent in Annex B?  (It's not stated.  If
> nothing else,
> > > you could add a note to the NAME definition.)
> > >
> > >    The MGCP spec also specifies the case-insensitive
> treatment on an
> > > object-by-object basis.  That is, Verbs are noted as
> case-insensitive
> > > in one place, Events are noted as case-insensitive in
> another, etc.
> > > It's not obvious if EVERYTHING is case-insensitive (URLs,
> > > Domain Names,
> > > etc.), or just those objects described that way in the
> > >
> > >    So another question (or thought experiment) is:  If I
> converted any
> > > text-based command to both all-UPPER-CASE and
> all-LOWER-CASE (prior to
> > > parsing), would the resulting commands both work?  If
> not, which items
> > > (URLs, parameters to packages, SDP contents, etc.) are
> allowed to be
> > > NON-case-insensitive?
> > >
> > >    Finally, if some places are case-sensitive, how does
> one test that
> > > an implementation isn't case-sensitive in an inappropriate place?
> > >
> > >
> > > Al Varney - Lucent Technologies  +1 630 224-7493
> [email-masked]
> > >
>
> Support NetAid!  http://www.netaid.org
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.
> --------------------------------------------------
>